package com.realnet.vpspack.Controllers;
import java.util.List;
import org.springframework.beans.factory.annotation.Autowired;
 import org.springframework.web.bind.annotation.*;
import org.springframework.web.multipart.MultipartFile;
import com.fasterxml.jackson.core.JsonProcessingException;
import org.springframework.web.bind.annotation.CrossOrigin;
import com.fasterxml.jackson.databind.JsonMappingException;
import com.realnet.config.EmailService;
import com.realnet.users.entity1.AppUser;
import com.realnet.users.service1.AppUserServiceImpl;
import com.fasterxml.jackson.databind.ObjectMapper;
import org.springframework.data.domain.*;
import com.realnet.fnd.response.EntityResponse;
import org.springframework.http.*;
import org.springframework.beans.factory.annotation.*;
import com.realnet.vpspack.Entity.Supplier_report;
import com.realnet.vpspack.Services.Supplier_reportService ;




















@RequestMapping(value = "/Supplier_report")
 @CrossOrigin("*") 
@RestController
public class Supplier_reportController {
	@Autowired
	private Supplier_reportService Service;

@Value("${projectPath}")
	private String projectPath;
 




















	@PostMapping("/Supplier_report")
		  public Supplier_report Savedata(@RequestBody Supplier_report data) {
		Supplier_report save = Service.Savedata(data)	;



















		System.out.println("data saved..." + save);

 return save;
	  }
@PutMapping("/Supplier_report/{id}")
	public  Supplier_report update(@RequestBody Supplier_report data,@PathVariable Integer id ) {
		Supplier_report update = Service.update(data,id);
		System.out.println("data update..." + update);
		return update;
	}	 
//	get all with pagination
	@GetMapping("/Supplier_report/getall/page")
	public Page<Supplier_report> getall(@RequestParam(value = "page", required = false) Integer page,
			@RequestParam(value = "size", required = false) Integer size) {
		Pageable paging = PageRequest.of(page, size);
		Page<Supplier_report> get = Service.getAllWithPagination(paging);

		return get;

	}	
	@GetMapping("/Supplier_report")
	public List<Supplier_report> getdetails() {
		 List<Supplier_report> get = Service.getdetails();		
		return get;
}
// get all without authentication 

	@GetMapping("/token/Supplier_report")
	public List<Supplier_report> getallwioutsec() {
		 List<Supplier_report> get = Service.getdetails();		
		return get;
}
@GetMapping("/Supplier_report/{id}")
	public  Supplier_report  getdetailsbyId(@PathVariable Integer id ) {
		Supplier_report  get = Service.getdetailsbyId(id);
		return get;
	}
@DeleteMapping("/Supplier_report/{id}")
	public  ResponseEntity<?> delete_by_id(@PathVariable Integer id ) {
	Service.delete_by_id(id);
			return new ResponseEntity<>(new EntityResponse("Deleted"), HttpStatus.OK);
	
	}





















}